## EvWindow EvWindow |

## Functions

GtkWidget * | ev_window_new ()
const char * | ev_window_get_uri ()
void | ev_window_open_uri ()
void | ev_window_open_document ()
gboolean | ev_window_is_empty ()
void | ev_window_print_range ()

## Types and Values

enum | EvWindowRunMode
| EvPrintRange
enum | EvPrintPageSet
struct | EvWindow
struct | EvWindowClass
| EvWindowPrivate

## Object Hierarchy

        GObject
        ╰── GInitiallyUnowned
            ╰── GtkWidget
                ╰── GtkContainer
                    ╰── GtkBin
                        ╰── GtkWindow
                            ╰── GtkApplicationWindow
                                ╰── EvWindow

## Implemented Interfaces

EvWindow implements AtkImplementorIface, GtkBuildable, GActionGroup and GActionMap.

## Description

## Functions

### ev_window_new ()

    GtkWidget *
    ev_window_new (void);

Creates a GtkWidget that represents the window.

#### Returns

the GtkWidget that represents the window.

### ev_window_get_uri ()

    const char *
    ev_window_get_uri (EvWindow *ev_window);

It returns the uri of the document showed in the EvWindow.

#### Parameters

ev_window | The instance of the EvWindow. |

#### Returns

the uri of the document showed in the EvWindow.

### ev_window_open_uri ()

    void
    ev_window_open_uri (EvWindow *ev_window,
                        const char *uri,
                        EvLinkDest *dest,
                        EvWindowRunMode mode,
                        const gchar *search_string);

### ev_window_open_document ()

    void
    ev_window_open_document (EvWindow *ev_window,
                             EvDocument *document,
                             EvLinkDest *dest,
                             EvWindowRunMode mode,
                             const gchar *search_string);

### ev_window_is_empty ()

    gboolean
    ev_window_is_empty (const EvWindow *ev_window);

It does look if there is any document loaded or if there is any job to load a document.

#### Parameters

ev_window | The instance of the EvWindow. |

#### Returns

`TRUE` if there isn't any document loaded or any any documente to be loaded, `FALSE` in other case.

### ev_window_print_range ()

    void
    ev_window_print_range (EvWindow *ev_window,
                           int first_page,
                           int last_page);

## Types and Values

### enum EvWindowRunMode

#### Members

EV_WINDOW_MODE_NORMAL |  |
EV_WINDOW_MODE_FULLSCREEN |  |
EV_WINDOW_MODE_PRESENTATION |  |

### EvPrintRange

    typedef struct {
    	gint start;
    	gint end;
    } EvPrintRange;

### enum EvPrintPageSet

#### Members

EV_PRINT_PAGE_SET_ALL |  |
EV_PRINT_PAGE_SET_EVEN |  |
EV_PRINT_PAGE_SET_ODD |  |

### struct EvWindow

    struct EvWindow;

### struct EvWindowClass

    struct EvWindowClass {
    	GtkApplicationWindowClass base_class;
    };

### EvWindowPrivate

    typedef struct _EvWindowPrivate EvWindowPrivate;